
Foreman - Feature #8685

Netmask in ENC output

12/12/2014 05:03 PM - Arnold Bechtoldt

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Network   

Target version: 1.7.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2019

  

Description

Please add netmask information to the ENC output (e.g. within {"parameters": {"interfaces": []}}.

Related issues:

Related to Foreman - Feature #2089: Expose network configuration via ENC Closed 01/02/2013

Associated revisions

Revision 66963aea - 12/15/2014 08:50 AM - Dominic Cleal

fixes #8685 - include netmask in ENC output

Revision 305fc6cb - 12/16/2014 08:53 AM - Dominic Cleal

fixes #8685 - include netmask in ENC output

(cherry picked from commit 66963aead88cfb8f8d5236af26dd12d3c153b6a8)

History

#1 - 12/15/2014 04:06 AM - Dominic Cleal

- Category set to Network

#2 - 12/15/2014 04:06 AM - Dominic Cleal

- Related to Feature #2089: Expose network configuration via ENC added

#3 - 12/15/2014 06:09 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

By the way, please be aware of #8546 which will ship in 1.7.1, renaming the ENC output from 'interfaces' to 'foreman_interfaces' to prevent a clash

with facts.

#4 - 12/15/2014 06:09 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2019 added

- Pull request deleted ()

#5 - 12/15/2014 06:51 AM - Arnold Bechtoldt

Works after patching in 1.7.0. Thanks!

#6 - 12/15/2014 09:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://projects.theforeman.org/issues/8546


Applied in changeset 66963aead88cfb8f8d5236af26dd12d3c153b6a8.

#7 - 12/15/2014 09:02 AM - Dominic Cleal

- translation missing: en.field_release set to 29
